Package com.arthenica.ffmpegkit

## Class FFprobeSession

- java.lang.Object
- - com.arthenica.ffmpegkit.AbstractSession
  - - com.arthenica.ffmpegkit.FFprobeSession

All Implemented Interfaces:
  `Session`

Direct Known Subclasses:
  `MediaInformationSession`

    public class FFprobeSession
    extends AbstractSession
    implements Session

An FFprobe session.

### Field Summary

### Fields inherited from class com.arthenica.ffmpegkit.AbstractSession

`arguments, createTime, DEFAULT_TIMEOUT_FOR_ASYNCHRONOUS_MESSAGES_IN_TRANSMIT, endTime, executeCallback, failStackTrace, future, logCallback, logRedirectionStrategy, logs, logsLock, returnCode, sessionId, sessionIdGenerator, startTime, state`

### Constructor Summary

Constructors
`FFprobeSession​(java.lang.String[] arguments)` Builds a new FFprobe session.
`FFprobeSession​(java.lang.String[] arguments, ExecuteCallback executeCallback)` Builds a new FFprobe session.
`FFprobeSession​(java.lang.String[] arguments, ExecuteCallback executeCallback, LogCallback logCallback)` Builds a new FFprobe session.
`FFprobeSession​(java.lang.String[] arguments, ExecuteCallback executeCallback, LogCallback logCallback, LogRedirectionStrategy logRedirectionStrategy)` Builds a new FFprobe session.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isFFmpeg()` Returns whether it is an `FFmpeg` session or not.
`boolean` `isFFprobe()` Returns whether it is an `FFprobe` session or not.
`java.lang.String` `toString()`

### Methods inherited from class com.arthenica.ffmpegkit.AbstractSession

`addLog, cancel, getAllLogs, getAllLogs, getAllLogsAsString, getAllLogsAsString, getArguments, getCommand, getCreateTime, getDuration, getEndTime, getExecuteCallback, getFailStackTrace, getFuture, getLogCallback, getLogRedirectionStrategy, getLogs, getLogsAsString, getOutput, getReturnCode, getSessionId, getStartTime, getState, thereAreAsynchronousMessagesInTransmit, waitForAsynchronousMessagesInTransmit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.arthenica.ffmpegkit.Session

`addLog, cancel, getAllLogs, getAllLogs, getAllLogsAsString, getAllLogsAsString, getArguments, getCommand, getCreateTime, getDuration, getEndTime, getExecuteCallback, getFailStackTrace, getFuture, getLogCallback, getLogRedirectionStrategy, getLogs, getLogsAsString, getOutput, getReturnCode, getSessionId, getStartTime, getState, thereAreAsynchronousMessagesInTransmit`

### Constructor Detail

#### FFprobeSession

    public FFprobeSession​(java.lang.String[] arguments)

Builds a new FFprobe session.

Parameters:
  `arguments` - command arguments

#### FFprobeSession

    public FFprobeSession​(java.lang.String[] arguments,
                          ExecuteCallback executeCallback)

Builds a new FFprobe session.

Parameters:
  `arguments` - command arguments
  `executeCallback` - session specific execute callback function

#### FFprobeSession

    public FFprobeSession​(java.lang.String[] arguments,
                          ExecuteCallback executeCallback,
                          LogCallback logCallback)

Builds a new FFprobe session.

Parameters:
  `arguments` - command arguments
  `executeCallback` - session specific execute callback function
  `logCallback` - session specific log callback function

#### FFprobeSession

    public FFprobeSession​(java.lang.String[] arguments,
                          ExecuteCallback executeCallback,
                          LogCallback logCallback,
                          LogRedirectionStrategy logRedirectionStrategy)

Builds a new FFprobe session.

Parameters:
  `arguments` - command arguments
  `executeCallback` - session specific execute callback function
  `logCallback` - session specific log callback function
  `logRedirectionStrategy` - session specific log redirection strategy

### Method Detail

#### isFFmpeg

    public boolean isFFmpeg()

Description copied from interface: `Session`
Returns whether it is an `FFmpeg` session or not.

Specified by:
  `isFFmpeg` in interface `Session`
Returns:
  true if it is an `FFmpeg` session, false otherwise

#### isFFprobe

    public boolean isFFprobe()

Description copied from interface: `Session`
Returns whether it is an `FFprobe` session or not.

Specified by:
  `isFFprobe` in interface `Session`
Returns:
  true if it is an `FFprobe` session, false otherwise

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`